Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_CapEntry Class Reference

This class is the base class for all ACE Capabilities entry subclasses. More...

`#include <Capabilities.h>`

Inheritance diagram for ACE_CapEntry:

[legend]
List of all members.

## Public Methods
virtual | ~ACE_CapEntry (void)
## Protected Types
enum | { ACE_INTCAP = 0, ACE_STRINGCAP = 1, ACE_BOOLCAP = 2 }
## Protected Methods
| ACE_CapEntry (int captype)
## Protected Attributes
int | captype_

## Detailed Description

This class is the base class for all ACE Capabilities entry subclasses.

This class is not instantiable and does not provide accessors or methods. If you want to add a new kind of attribute subclass this class and dynamic_cast to proper subclass.

## Member Enumeration Documentation

anonymous enum`[protected]`

  | Enumeration values:
  ACE_INTCAP |
  ACE_STRINGCAP |
  ACE_BOOLCAP |

## Constructor & Destructor Documentation

ACE_CapEntry::~ACE_CapEntry | ( | void |  | ) | `[virtual]`

ACE_INLINE ACE_CapEntry::ACE_CapEntry | ( | int | captype | ) | `[protected]`

## Member Data Documentation

int ACE_CapEntry::captype_`[protected]`

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Capabilities.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Capabilities.cpp
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Capabilities.i